package
{
	public class SPARQLEndpointConnector
	{
		import mx.controls.Alert;
		import mx.rpc.http.HTTPService;
		import mx.rpc.events.ResultEvent;
		import mx.rpc.events.FaultEvent;
		
		private var service:HTTPService 
		
		private var endpointURL:String = "";
		private var resultStatus:Boolean = false;
		
		public function SPARQLEndpointConnector(endpointAddress:String)
		{
			this.endpointURL = endpointAddress;
		}
		
		//send sparql query to selected endpoint
		public function sendQuery(query:String):Boolean {
			if (endpointURL.length>0)
			{
				var parameters:Object = {};
				parameters["query"] = query;
				service = new HTTPService();
				service.destination = endpointURL;
				service.method = "GET";
				service.addEventListener("result", httpResult);
				service.addEventListener("fault", httpFault);
				service.send(parameters);

				
				return true;
			}
			else return false;
		}
				
		public function httpResult(event:ResultEvent):void {
			var result:Object = event.result;
			//Do something with the result.
			Alert.show("good !");
		}
		
		public function httpFault(event:FaultEvent):void {
			var faultstring:String = event.fault.faultString;
			Alert.show("dupa: "+faultstring);
		}
		
	}
}